Bug 168945 - [patch] update devel/soapui 3.5 -> 4.5.0, take maintainership
Summary: [patch] update devel/soapui 3.5 -> 4.5.0, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 10:50 UTC by Kurt Jaeger
Modified: 2012-06-18 22:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.79 KB, patch)
2012-06-11 10:50 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2012-06-11 10:50:13 UTC
	[patch update take-maint] update devel/soapui 3.5 -> 4.5.0
	Update and take maintainership

How-To-Repeat: 	-
Comment 1 Beech Rintoul freebsd_committer 2012-06-11 21:07:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 beech 2012-06-12 21:56:45 UTC
Problems with pkg-plist. Won't package and leaves behind files.

http://www.freebsdnorth.com/tb/errors/10-FreeBSD/soapui-4.5.0.log

Beech

-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail   | http://www.freebsd.org
 X  - NO Word docs in e-mail | Latest Release:
/ \  - http://www.FreeBSD.org/releases/9.0R/announce.html
---------------------------------------------------------------------------------------
Comment 3 Beech Rintoul freebsd_committer 2012-06-13 22:41:25 UTC
State Changed
From-To: open->feedback

Awaiting submitter feedback
Comment 4 Kurt Jaeger 2012-06-16 22:08:59 UTC
Hi!

> Problems with pkg-plist. Won't package and leaves behind files.
> 
> http://www.freebsdnorth.com/tb/errors/10-FreeBSD/soapui-4.5.0.log

Ups, sorry.

Here's the patch with the corrected Makefile and pkg-plist.

----------------

diff -r -u devel/soapui/Makefile /usr/home/pi/myp/devel/soapui/Makefile
--- devel/soapui/Makefile	2011-11-14 23:24:20.000000000 +0100
+++ /usr/home/pi/myp/devel/soapui/Makefile	2012-06-16 23:06:37.000000000 +0200
@@ -5,17 +5,16 @@
 # $FreeBSD: ports/devel/soapui/Makefile,v 1.12 2011/11/14 17:16:13 tabthorpe Exp $
 
 PORTNAME=	soapui
-PORTVERSION=	3.5
+PORTVERSION=	4.5.0
 CATEGORIES=	devel java www
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}/
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/4.5/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-linux-bin
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	A web service, SOA and SOAP testing tool
 
 USE_ZIP=	YES
 USE_JAVA=	1.5+
-PORTDOCS=	LICENSE.txt readme.txt
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 REINPLACE_ARGS=	-i ''
 SOAPUI_HOME=	${JAVASHAREDIR}/${PORTNAME}
diff -r -u devel/soapui/distinfo /usr/home/pi/myp/devel/soapui/distinfo
--- devel/soapui/distinfo	2011-07-03 23:24:53.000000000 +0200
+++ /usr/home/pi/myp/devel/soapui/distinfo	2012-06-11 11:38:23.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (soapui-3.5-linux-bin.zip) = 66be38e2dc49f57f90e95cb41db1484fc0973b22246fe60ff649f3d741e60cd5
-SIZE (soapui-3.5-linux-bin.zip) = 50164133
+SHA256 (soapui-4.5.0-linux-bin.zip) = 4ff68dd9d60cb751314314640494115beaf6a802693bdca30d8cf931506fa937
+SIZE (soapui-4.5.0-linux-bin.zip) = 106472014
diff -r -u devel/soapui/files/patch-aa /usr/home/pi/myp/devel/soapui/files/patch-aa
--- devel/soapui/files/patch-aa	2010-04-06 20:06:18.000000000 +0200
+++ /usr/home/pi/myp/devel/soapui/files/patch-aa	2012-06-11 11:40:54.000000000 +0200
@@ -31,7 +31,7 @@
  
  export SOAPUI_CLASSPATH
  
--JAVA_OPTS="-Xms128m -Xmx384m -Dsoapui.properties=soapui.properties -Dsoapui.home=$SOAPUI_HOME"
+-JAVA_OPTS="-Xms128m -Xmx1024m -Dsoapui.properties=soapui.properties -Dsoapui.home=$SOAPUI_HOME"
 +JAVA_OPTS=" ${JAVA_OPTS} -Xms128m -Xmx384m -Dsoapui.properties=soapui.properties -Dsoapui.home=$SOAPUI_HOME"
  
  if [ $SOAPUI_HOME != "" ] 
diff -r -u devel/soapui/pkg-plist /usr/home/pi/myp/devel/soapui/pkg-plist
--- devel/soapui/pkg-plist	2010-04-13 15:21:28.000000000 +0200
+++ /usr/home/pi/myp/devel/soapui/pkg-plist	2012-06-16 23:05:56.000000000 +0200
@@ -65,13 +65,10 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1/search_files/yschx_nws_20050610a.css
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/sample-soapui-project.xml
 share/java/soapui/bin/ext/readme.txt
-share/java/soapui/bin/jniwrap.lic
-share/java/soapui/bin/jxbrowser.lic
-share/java/soapui/bin/libjniwrap.jnilib
-share/java/soapui/bin/libjniwrap.so
 share/java/soapui/bin/loadtestrunner.sh
 share/java/soapui/bin/mockservicerunner.sh
-share/java/soapui/bin/soapui-3.5.jar
+share/java/soapui/bin/securitytestrunner.sh
+share/java/soapui/bin/soapui-4.5.0.jar
 share/java/soapui/bin/soapui-log4j.xml
 share/java/soapui/bin/soapui.sh
 share/java/soapui/bin/soapui.sh.orig
@@ -79,11 +76,12 @@
 share/java/soapui/bin/starter-page.html
 share/java/soapui/bin/testrunner.sh
 share/java/soapui/bin/toolrunner.sh
-share/java/soapui/lib/MozillaGlue-jxbrowser-1.4.jar
-share/java/soapui/lib/MozillaInterfaces-jxbrowser-1.4.jar
+share/java/soapui/bin/wargenerator.sh
+share/java/soapui/lib/MozillaInterfaces-3.0.jar
 share/java/soapui/lib/activation-1.1.jar
 share/java/soapui/lib/bcprov-jdk15-144.jar
 share/java/soapui/lib/binding-2.0.1.jar
+share/java/soapui/lib/cajo-1.142.jar
 share/java/soapui/lib/commons-beanutils-1.7.0.jar
 share/java/soapui/lib/commons-cli-1.0.jar
 share/java/soapui/lib/commons-codec-1.3.jar
@@ -92,6 +90,10 @@
 share/java/soapui/lib/commons-io-1.3.2.jar
 share/java/soapui/lib/commons-lang-2.4.jar
 share/java/soapui/lib/commons-logging-1.1.1.jar
+share/java/soapui/lib/cssparser-0.9.5.jar
+share/java/soapui/lib/engine-gecko-3.0.jar
+share/java/soapui/lib/engine-ie-3.0.jar
+share/java/soapui/lib/engine-webkit-3.0.jar
 share/java/soapui/lib/ext-xmlbeans-1.2.jar
 share/java/soapui/lib/ezmorph-1.0.5.jar
 share/java/soapui/lib/flex-messaging-common-1.0.jar
@@ -100,62 +102,82 @@
 share/java/soapui/lib/flex-messaging-proxy-1.0.jar
 share/java/soapui/lib/flex-messaging-remoting-1.0.jar
 share/java/soapui/lib/forms-1.0.7.jar
-share/java/soapui/lib/groovy-all-1.7.1.jar
+share/java/soapui/lib/groovy-all-1.8.0.jar
+share/java/soapui/lib/guava-11.0.jar
 share/java/soapui/lib/hermes-1.14.jar
+share/java/soapui/lib/htmlunit-2.7.jar
+share/java/soapui/lib/htmlunit-core-js-2.7.jar
+share/java/soapui/lib/httpclient-4.1.1.jar
+share/java/soapui/lib/httpclient-cache-4.1.1.jar
+share/java/soapui/lib/httpcore-4.1.1.jar
+share/java/soapui/lib/httpcore-nio-4.1.1.jar
+share/java/soapui/lib/httpmime-4.1.1.jar
 share/java/soapui/lib/j2ee-xmlbeans-1.4.jar
 share/java/soapui/lib/javamail-1.4.jar
-share/java/soapui/lib/jaxb-impl-1.5.jar
-share/java/soapui/lib/jetty-6.1.22.jar
-share/java/soapui/lib/jetty-util-6.1.22.jar
+share/java/soapui/lib/jcifs-1.2.9.jar
+share/java/soapui/lib/jetty-6.1.26.jar
+share/java/soapui/lib/jetty-util-6.1.26.jar
 share/java/soapui/lib/jms-1.1.jar
-share/java/soapui/lib/jniwrap-3.7.3.jar
+share/java/soapui/lib/joda-time-1.6.2.jar
 share/java/soapui/lib/js-1.7R2.jar
 share/java/soapui/lib/json-lib-2.2.2-jdk15.jar
 share/java/soapui/lib/jsr173_1.0_api-xmlbeans-2.4.0.jar
 share/java/soapui/lib/jtidy-r872-jdk15.jar
-share/java/soapui/lib/junit-4.4.jar
-share/java/soapui/lib/jxbrowser-1.4.jar
+share/java/soapui/lib/junit-4.8.2.jar
+share/java/soapui/lib/jxbrowser-3.0.jar
 share/java/soapui/lib/l2fprod-common-directorychooser-7.3.jar
 share/java/soapui/lib/l2fprod-common-fontchooser-7.3.jar
 share/java/soapui/lib/log4j-1.2.14.jar
 share/java/soapui/lib/looks-2.2.0.jar
+share/java/soapui/lib/mockito-all-1.8.5.jar
+share/java/soapui/lib/nekohtml-1.9.14.jar
 share/java/soapui/lib/not-yet-commons-ssl-0.3.11.jar
-share/java/soapui/lib/opensaml-1.1.jar
+share/java/soapui/lib/opensaml-2.5.1.jar
+share/java/soapui/lib/openws-1.4.2-1.jar
 share/java/soapui/lib/policy-xmlbeans-1.5.jar
-share/java/soapui/lib/rsyntaxtextarea-1.3.4.jar
+share/java/soapui/lib/rsyntaxtextarea-2.0.1.jar
+share/java/soapui/lib/sac-1.3.jar
 share/java/soapui/lib/saxon-9.1.0.8j.jar
 share/java/soapui/lib/saxon-dom-9.1.0.8j.jar
 share/java/soapui/lib/serializer-2.7.1.jar
 share/java/soapui/lib/servlet-api-2.5-20081211.jar
+share/java/soapui/lib/slf4j-api-1.5.8.jar
+share/java/soapui/lib/slf4j-log4j12-1.5.8.jar
 share/java/soapui/lib/soap-xmlbeans-1.2.jar
-share/java/soapui/lib/soapui-xmlbeans-3.5.jar
+share/java/soapui/lib/soapui-xmlbeans-4.5.0.jar
 share/java/soapui/lib/swingx-soapui.jar
-share/java/soapui/lib/tuxpack-0.2.jar
 share/java/soapui/lib/wadl-xmlbeans-1.1.jar
-share/java/soapui/lib/winpack-3.7.1.jar
+share/java/soapui/lib/winpack-3.8.2.jar
+share/java/soapui/lib/ws-commons-util-1.0.2.jar
 share/java/soapui/lib/wsdl4j-1.6.2-fixed.jar
-share/java/soapui/lib/wss4j-1.5.8.jar
+share/java/soapui/lib/wss4j-1.6.2.jar
 share/java/soapui/lib/xalan-2.7.1.jar
 share/java/soapui/lib/xbean-fixed-2.4.0.jar
 share/java/soapui/lib/xbean_xpath-2.4.0.jar
 share/java/soapui/lib/xercesImpl-2.9.1.jar
 share/java/soapui/lib/xml-apis-2.9.1.jar
 share/java/soapui/lib/xmlpublic-2.4.0.jar
-share/java/soapui/lib/xmlsec-1.4.3.jar
+share/java/soapui/lib/xmlsec-1.4.5.jar
+share/java/soapui/lib/xmltooling-1.3.1.jar
 share/java/soapui/lib/xmlunit-1.2.jar
 share/java/soapui/lib/xom-1.1.jar
 share/java/soapui/lib/xstream-1.3.1.jar
+share/java/soapui/lib/xulrunner-linux-3.0.jar
+share/java/soapui/lib/xulrunner-linux64-3.0.jar
+share/java/soapui/lib/xulrunner-mac-3.0.jar
+share/java/soapui/lib/xulrunner-windows-3.0.jar
 @dirrm share/java/soapui/lib
 @dirrm share/java/soapui/bin/listeners
 @dirrm share/java/soapui/bin/ext
 @dirrm share/java/soapui/bin/actions
 @dirrm share/java/soapui/bin
 @dirrm share/java/soapui
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1/search_files
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/WSDL-WADL
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/licenses
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1/search_files
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/WSDL-WADL
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%
+@dirrm share/doc/soapui/licenses
+@dirrm share/doc/soapui
----------------

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 5 Kurt Jaeger 2012-06-16 22:08:59 UTC
Hi!

> Problems with pkg-plist. Won't package and leaves behind files.
> 
> http://www.freebsdnorth.com/tb/errors/10-FreeBSD/soapui-4.5.0.log

Ups, sorry.

Here's the patch with the corrected Makefile and pkg-plist.

----------------

diff -r -u devel/soapui/Makefile /usr/home/pi/myp/devel/soapui/Makefile
--- devel/soapui/Makefile	2011-11-14 23:24:20.000000000 +0100
+++ /usr/home/pi/myp/devel/soapui/Makefile	2012-06-16 23:06:37.000000000 +0200
@@ -5,17 +5,16 @@
 # $FreeBSD: ports/devel/soapui/Makefile,v 1.12 2011/11/14 17:16:13 tabthorpe Exp $
 
 PORTNAME=	soapui
-PORTVERSION=	3.5
+PORTVERSION=	4.5.0
 CATEGORIES=	devel java www
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}/
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/4.5/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-linux-bin
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	A web service, SOA and SOAP testing tool
 
 USE_ZIP=	YES
 USE_JAVA=	1.5+
-PORTDOCS=	LICENSE.txt readme.txt
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 REINPLACE_ARGS=	-i ''
 SOAPUI_HOME=	${JAVASHAREDIR}/${PORTNAME}
diff -r -u devel/soapui/distinfo /usr/home/pi/myp/devel/soapui/distinfo
--- devel/soapui/distinfo	2011-07-03 23:24:53.000000000 +0200
+++ /usr/home/pi/myp/devel/soapui/distinfo	2012-06-11 11:38:23.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (soapui-3.5-linux-bin.zip) = 66be38e2dc49f57f90e95cb41db1484fc0973b22246fe60ff649f3d741e60cd5
-SIZE (soapui-3.5-linux-bin.zip) = 50164133
+SHA256 (soapui-4.5.0-linux-bin.zip) = 4ff68dd9d60cb751314314640494115beaf6a802693bdca30d8cf931506fa937
+SIZE (soapui-4.5.0-linux-bin.zip) = 106472014
diff -r -u devel/soapui/files/patch-aa /usr/home/pi/myp/devel/soapui/files/patch-aa
--- devel/soapui/files/patch-aa	2010-04-06 20:06:18.000000000 +0200
+++ /usr/home/pi/myp/devel/soapui/files/patch-aa	2012-06-11 11:40:54.000000000 +0200
@@ -31,7 +31,7 @@
  
  export SOAPUI_CLASSPATH
  
--JAVA_OPTS="-Xms128m -Xmx384m -Dsoapui.properties=soapui.properties -Dsoapui.home=$SOAPUI_HOME"
+-JAVA_OPTS="-Xms128m -Xmx1024m -Dsoapui.properties=soapui.properties -Dsoapui.home=$SOAPUI_HOME"
 +JAVA_OPTS=" ${JAVA_OPTS} -Xms128m -Xmx384m -Dsoapui.properties=soapui.properties -Dsoapui.home=$SOAPUI_HOME"
  
  if [ $SOAPUI_HOME != "" ] 
diff -r -u devel/soapui/pkg-plist /usr/home/pi/myp/devel/soapui/pkg-plist
--- devel/soapui/pkg-plist	2010-04-13 15:21:28.000000000 +0200
+++ /usr/home/pi/myp/devel/soapui/pkg-plist	2012-06-16 23:05:56.000000000 +0200
@@ -65,13 +65,10 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1/search_files/yschx_nws_20050610a.css
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/sample-soapui-project.xml
 share/java/soapui/bin/ext/readme.txt
-share/java/soapui/bin/jniwrap.lic
-share/java/soapui/bin/jxbrowser.lic
-share/java/soapui/bin/libjniwrap.jnilib
-share/java/soapui/bin/libjniwrap.so
 share/java/soapui/bin/loadtestrunner.sh
 share/java/soapui/bin/mockservicerunner.sh
-share/java/soapui/bin/soapui-3.5.jar
+share/java/soapui/bin/securitytestrunner.sh
+share/java/soapui/bin/soapui-4.5.0.jar
 share/java/soapui/bin/soapui-log4j.xml
 share/java/soapui/bin/soapui.sh
 share/java/soapui/bin/soapui.sh.orig
@@ -79,11 +76,12 @@
 share/java/soapui/bin/starter-page.html
 share/java/soapui/bin/testrunner.sh
 share/java/soapui/bin/toolrunner.sh
-share/java/soapui/lib/MozillaGlue-jxbrowser-1.4.jar
-share/java/soapui/lib/MozillaInterfaces-jxbrowser-1.4.jar
+share/java/soapui/bin/wargenerator.sh
+share/java/soapui/lib/MozillaInterfaces-3.0.jar
 share/java/soapui/lib/activation-1.1.jar
 share/java/soapui/lib/bcprov-jdk15-144.jar
 share/java/soapui/lib/binding-2.0.1.jar
+share/java/soapui/lib/cajo-1.142.jar
 share/java/soapui/lib/commons-beanutils-1.7.0.jar
 share/java/soapui/lib/commons-cli-1.0.jar
 share/java/soapui/lib/commons-codec-1.3.jar
@@ -92,6 +90,10 @@
 share/java/soapui/lib/commons-io-1.3.2.jar
 share/java/soapui/lib/commons-lang-2.4.jar
 share/java/soapui/lib/commons-logging-1.1.1.jar
+share/java/soapui/lib/cssparser-0.9.5.jar
+share/java/soapui/lib/engine-gecko-3.0.jar
+share/java/soapui/lib/engine-ie-3.0.jar
+share/java/soapui/lib/engine-webkit-3.0.jar
 share/java/soapui/lib/ext-xmlbeans-1.2.jar
 share/java/soapui/lib/ezmorph-1.0.5.jar
 share/java/soapui/lib/flex-messaging-common-1.0.jar
@@ -100,62 +102,82 @@
 share/java/soapui/lib/flex-messaging-proxy-1.0.jar
 share/java/soapui/lib/flex-messaging-remoting-1.0.jar
 share/java/soapui/lib/forms-1.0.7.jar
-share/java/soapui/lib/groovy-all-1.7.1.jar
+share/java/soapui/lib/groovy-all-1.8.0.jar
+share/java/soapui/lib/guava-11.0.jar
 share/java/soapui/lib/hermes-1.14.jar
+share/java/soapui/lib/htmlunit-2.7.jar
+share/java/soapui/lib/htmlunit-core-js-2.7.jar
+share/java/soapui/lib/httpclient-4.1.1.jar
+share/java/soapui/lib/httpclient-cache-4.1.1.jar
+share/java/soapui/lib/httpcore-4.1.1.jar
+share/java/soapui/lib/httpcore-nio-4.1.1.jar
+share/java/soapui/lib/httpmime-4.1.1.jar
 share/java/soapui/lib/j2ee-xmlbeans-1.4.jar
 share/java/soapui/lib/javamail-1.4.jar
-share/java/soapui/lib/jaxb-impl-1.5.jar
-share/java/soapui/lib/jetty-6.1.22.jar
-share/java/soapui/lib/jetty-util-6.1.22.jar
+share/java/soapui/lib/jcifs-1.2.9.jar
+share/java/soapui/lib/jetty-6.1.26.jar
+share/java/soapui/lib/jetty-util-6.1.26.jar
 share/java/soapui/lib/jms-1.1.jar
-share/java/soapui/lib/jniwrap-3.7.3.jar
+share/java/soapui/lib/joda-time-1.6.2.jar
 share/java/soapui/lib/js-1.7R2.jar
 share/java/soapui/lib/json-lib-2.2.2-jdk15.jar
 share/java/soapui/lib/jsr173_1.0_api-xmlbeans-2.4.0.jar
 share/java/soapui/lib/jtidy-r872-jdk15.jar
-share/java/soapui/lib/junit-4.4.jar
-share/java/soapui/lib/jxbrowser-1.4.jar
+share/java/soapui/lib/junit-4.8.2.jar
+share/java/soapui/lib/jxbrowser-3.0.jar
 share/java/soapui/lib/l2fprod-common-directorychooser-7.3.jar
 share/java/soapui/lib/l2fprod-common-fontchooser-7.3.jar
 share/java/soapui/lib/log4j-1.2.14.jar
 share/java/soapui/lib/looks-2.2.0.jar
+share/java/soapui/lib/mockito-all-1.8.5.jar
+share/java/soapui/lib/nekohtml-1.9.14.jar
 share/java/soapui/lib/not-yet-commons-ssl-0.3.11.jar
-share/java/soapui/lib/opensaml-1.1.jar
+share/java/soapui/lib/opensaml-2.5.1.jar
+share/java/soapui/lib/openws-1.4.2-1.jar
 share/java/soapui/lib/policy-xmlbeans-1.5.jar
-share/java/soapui/lib/rsyntaxtextarea-1.3.4.jar
+share/java/soapui/lib/rsyntaxtextarea-2.0.1.jar
+share/java/soapui/lib/sac-1.3.jar
 share/java/soapui/lib/saxon-9.1.0.8j.jar
 share/java/soapui/lib/saxon-dom-9.1.0.8j.jar
 share/java/soapui/lib/serializer-2.7.1.jar
 share/java/soapui/lib/servlet-api-2.5-20081211.jar
+share/java/soapui/lib/slf4j-api-1.5.8.jar
+share/java/soapui/lib/slf4j-log4j12-1.5.8.jar
 share/java/soapui/lib/soap-xmlbeans-1.2.jar
-share/java/soapui/lib/soapui-xmlbeans-3.5.jar
+share/java/soapui/lib/soapui-xmlbeans-4.5.0.jar
 share/java/soapui/lib/swingx-soapui.jar
-share/java/soapui/lib/tuxpack-0.2.jar
 share/java/soapui/lib/wadl-xmlbeans-1.1.jar
-share/java/soapui/lib/winpack-3.7.1.jar
+share/java/soapui/lib/winpack-3.8.2.jar
+share/java/soapui/lib/ws-commons-util-1.0.2.jar
 share/java/soapui/lib/wsdl4j-1.6.2-fixed.jar
-share/java/soapui/lib/wss4j-1.5.8.jar
+share/java/soapui/lib/wss4j-1.6.2.jar
 share/java/soapui/lib/xalan-2.7.1.jar
 share/java/soapui/lib/xbean-fixed-2.4.0.jar
 share/java/soapui/lib/xbean_xpath-2.4.0.jar
 share/java/soapui/lib/xercesImpl-2.9.1.jar
 share/java/soapui/lib/xml-apis-2.9.1.jar
 share/java/soapui/lib/xmlpublic-2.4.0.jar
-share/java/soapui/lib/xmlsec-1.4.3.jar
+share/java/soapui/lib/xmlsec-1.4.5.jar
+share/java/soapui/lib/xmltooling-1.3.1.jar
 share/java/soapui/lib/xmlunit-1.2.jar
 share/java/soapui/lib/xom-1.1.jar
 share/java/soapui/lib/xstream-1.3.1.jar
+share/java/soapui/lib/xulrunner-linux-3.0.jar
+share/java/soapui/lib/xulrunner-linux64-3.0.jar
+share/java/soapui/lib/xulrunner-mac-3.0.jar
+share/java/soapui/lib/xulrunner-windows-3.0.jar
 @dirrm share/java/soapui/lib
 @dirrm share/java/soapui/bin/listeners
 @dirrm share/java/soapui/bin/ext
 @dirrm share/java/soapui/bin/actions
 @dirrm share/java/soapui/bin
 @dirrm share/java/soapui
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1/search_files
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/restexample
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials/WSDL-WADL
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/Tutorials
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/licenses
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1/search_files
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService/V1
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample/NewsSearchService
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/restexample
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials/WSDL-WADL
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tutorials
+@dirrm %%PORTEXAMPLES%%%%EXAMPLESDIR%%
+@dirrm share/doc/soapui/licenses
+@dirrm share/doc/soapui
----------------

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 6 Beech Rintoul freebsd_committer 2012-06-18 22:06:39 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!
Comment 7 dfilter service freebsd_committer 2012-06-18 22:11:44 UTC
beech       2012-06-18 21:05:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/soapui         Makefile distinfo pkg-plist 
    devel/soapui/files   patch-aa 
  Log:
  - Update to 4.5.0
  - Pass maintainership to submitter
  
  PR:             ports/168945
  Submitted by:   Kurt Jaeger <fbsd-ports@opsec.eu>
  
  Revision  Changes    Path
  1.13      +3 -4      ports/devel/soapui/Makefile
  1.9       +2 -2      ports/devel/soapui/distinfo
  1.2       +1 -1      ports/devel/soapui/files/patch-aa
  1.10      +51 -29    ports/devel/soapui/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"